#!/bin/bash

package=ffkeyframe
version=-0.1

progname=$0

source ../../bin/script/test-setup.bash
source ../../lib/cascade-lib.bash

prefix=$GEXTVIDEO_INSTALLED/cmdline

opt_run_untar $force_untar $auto_untar $package $version

### opt_run_configure $force_config $auto_config $package $version "$prefix"

### opt_run_make $compile   $package $version
### opt_run_make $install   $package $version "install"





#( cd ffkeyframe ; \
#  ./configure --prefix=$GEXTVIDEO_INSTALLED/cmdline --enable-shared --enable-static --enable-swscaler --enable-libmp3lame --enable-liba52 --enable-gpl --enable-libogg --enable-libvorbis --enable-libfaac --enable-libfaad --extra-ldflags=-L$GEXTVIDEO_INSTALLED/cmdline/lib/ --extra-cflags=-I$GEXTVIDEO_INSTALLED/cmdline/include )
#
#if [ $? != 0 ] ; then
#    echo "      Error encountered running *configure* stage of $progname"
#    exit 1
#fi

if [ $compile = "1" ] ; then
  ( cd $package$version ; \
    make -I ../ffmpeg-jul21-2007 allhive)

  if [ $? != 0 ] ; then
      echo "      Error encountered running *make* stage of $progname"
      exit 1
  fi
fi


if [ $install = "1" ] ; then
  ( cd $package$version ; \
    make -I ../ffmpeg-jul21-2007 install-hive )

  if [ $? != 0 ] ; then
      echo "      Error encountered running *install* stage of $progname"
      exit 1
  fi
fi


opt_run_make $clean     $package $version "hiveclean"
opt_run_make $distclean $package $version "hivedistclean"

opt_run_tarclean $tarclean $package $version
