#!/bin/bash

dirlist="cmdline server"
if [ -e devel ] ; then
  dirlist="$dirlist devel"
fi

for d in $dirlist ; do
  echo "  Running $d/CASCADE-MAKE.sh $*"

  (cd $d; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "  Error encountered running $d/CASCADE-MAKE.sh"
    exit 1
  fi
done

